#!/bin/bash

export VSP_BACKUP_DIRECTORY=$BACKUP_SET

chown -R $VSP_VM_USER:$VSP_VM_USER $BACKUP_SET
if [[ $BACKUP_INSTANCE = _* ]] ; then
  # collection level
  plugin_dir=$VSP_INSTALLED_TEMPLATE/${BACKUP_INSTANCE#_}/plugins/backup
else
  # system level
  plugin_dir=$VSP_INSTALLED_TEMPLATE/*/systems/$BACKUP_INSTANCE/plugins/backup
fi
cd $plugin_dir
chmod 755 .
chmod +x .backup
chown $VSP_VM_USER:$VSP_VM_USER $BACKUP_SET
runuser -G $VSP_PLUGIN_LOGDIR_GROUP $VSP_VM_USER -- ./.backup -d $VSP_BACKUP_DIRECTORY 2>&1 |
    $VSP_HOME/util/logger.py -f $SCRIPTS_DIR/log-vm.conf
cd -

#Create Version file
echo "1" > $VERSION_FILE
