var filesList = new Array();
//Function to check the isSelected checkbox when user click on a selectable file
function onFileClick(filePath,tableId)
{
	//Get the table of the file clicked
	var table = document.getElementById(tableId);
	var fieldsInRow = table.getElementsByTagName("input");

	//Get the checkbox of the file
	for(i=0;i<fieldsInRow.length;i++)
	{
		if(fieldsInRow[i].type=="checkbox")
		{
			var checkbox = fieldsInRow[i];

			//If it was selected, uncheck it
			if(checkbox.checked)
			{
				checkbox.checked = false;
				table.className = "";
				filesList.splice(filesList.indexOf(filePath),1);
			}
			//If it wasn't selected, check it
			else
			{
				checkbox.checked = true;
				table.className = "just_bold";
				filesList.push(filePath);
			}
			break;
		}
	}
	//Reload status of the delete button
	setButtonCSS();
}

//Function to enable/disable the Delete button
function setButtonCSS()
{
	var fieldsInRow = null;
	var deleteButton=null;
	
	fieldsInRow = document.getElementsByTagName("input");
	for(i=0;i<fieldsInRow.length;i++)
	{
		if(fieldsInRow[i].name.toLowerCase().indexOf("delete_files")>=0) {
			deleteButton = fieldsInRow[i];
		}
		
	}
	
	
	if (deleteButton!=null) {
		if(filesList.length>0)
		{
			deleteButton.disabled=false;
		}
		else
		{
			deleteButton.disabled=true;
		}
	}
}

function disableDeleteButton() {
var deleteButton=null;
	fieldsInRow = document.getElementsByTagName("input");
	for(i=0;i<fieldsInRow.length;i++)
	{
		if(fieldsInRow[i].name.toLowerCase().indexOf("delete_files")>=0) {
			deleteButton = fieldsInRow[i];
		}
		
	}
	
	
	if (deleteButton!=null) {
		deleteButton.disabled=true;
	}
}


//Function to change the color of the line to yellow when mouse is over
function setMouseOver(tableId,isMouseOver)
{
	var table = document.getElementById(tableId);
	if(isMouseOver)
	{
		table.style.color="#E79A00";
	}
	else
	{
		table.style.color="black";
	}
}

//Function to display the confirmation message
function confirmDeletion(message)
{
	filesList = filesList.sort();
	message = message.replace("{0}",filesList.join(" , "));
	return confirm(message);
}

